weka.core.pmml.jaxbbindings

## Enum CATSCORINGMETHOD

- java.lang.Object
- - java.lang.Enum<CATSCORINGMETHOD>
  - - weka.core.pmml.jaxbbindings.CATSCORINGMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CATSCORINGMETHOD>

      public enum CATSCORINGMETHOD
      extends java.lang.Enum<CATSCORINGMETHOD>

  Java class for CAT-SCORING-METHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CAT-SCORING-METHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="majorityVote"/>
           <enumeration value="weightedMajorityVote"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAJORITY_VOTE`
    `WEIGHTED_MAJORITY_VOTE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CATSCORINGMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static CATSCORINGMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CATSCORINGMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAJORITY_VOTE

          public static final CATSCORINGMETHOD MAJORITY_VOTE

    - #### WEIGHTED_MAJORITY_VOTE

          public static final CATSCORINGMETHOD WEIGHTED_MAJORITY_VOTE

  - ### Method Detail

    - #### values

          public static CATSCORINGMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CATSCORINGMETHOD c : CATSCORINGMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CATSCORINGMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static CATSCORINGMETHOD fromValue(java.lang.String v)